@ECHO OFF
:START

set imagepath=C:\WIM\Wims
set exepath=C:\WIM\Exes
set mountpath=C:\WIM\Mount

ECHO _________________________________________
ECHO Seamonkey's DISM / Windows Imaging Main Menu:
ECHO.                                         
ECHO   Menu Choices                           
ECHO.                                         
ECHO 1 Mount WIM File to D:/Mount             
ECHO 2 Unmount WIM File and Commit changes    
ECHO 3 Unmount WIM File and Discard changes   
ECHO 4 Cleanup WIM Mount Directory (D:/Mount)
ECHo 5 Exit                                   
ECHO _________________________________________
ECHO. 
SET /P userChoice=ENTER OPTION:

if %userChoice% == 1 GOTO MOUNTWIM
if %userChoice% == 2 GOTO COMMIT
if %userChoice% == 3 GOTO DISCARD
if %userChoice% == 4 GOTO CLEANUP
if %userChoice% == 5 GOTO QUITMENU

:MOUNTWIM
cls
echo .WIM files in "%imagepath%":
echo.
for /f "tokens=* delims=" %%a in ('dir /b %imagepath%\*.wim') do echo %%a: & %exepath%\imagex.exe /info "%imagepath%\%%a" | findstr.exe "IMAGE INDEX <NAME>" & echo.
echo.
SET /P WimFile=Enter Full .WIM Image to Mount (with .wim extension):
SET /P index=Enter INDEX to use (usually 1, number value):
DISM.exe /MOUNT-WIM /WIMFILE:%imagepath%\%WimFile% /INDEX:%index% /MountDir:%mountpath%
echo Image: %WimFile% mounted at D:\Mount
GOTO START

:COMMIT
cls
DISM.exe /UNMOUNT-WIM /MountDir:%mountpath% /COMMIT
echo WIM Updated with Changes
echo.
GOTO START

:DISCARD
cls
DISM.exe /UNMOUNT-WIM /MountDir:%mountpath% /DISCARD
echo WIM NOT updated, changes discarded
echo.
GOTO START

:CLEANUP
cls
DISM.exe /CLEANUP-WIM
echo MOUNTDIR clean up finished
echo.
GOTO START

:QUITMENU
